%define distsuffix plf

Summary:	Microcode for the Intel PRO/Wireless 3945ABG Driver
Name:		ipw3945-ucode
Version:	1.13
Release:	%mkrel 1
License:	distributable
Group:		System/Kernel and hardware
URL:		http://ipw3945.sourceforge.net/#requirements
Source0:	http://bughost.org/ipw3945/ucode/ipw3945-ucode-%version.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch
BuildRequires:	dos2unix

%description
This package contains the microcode for the ipw-3945 driver. Usage of this
microcode is subject to the terms contained in the included LICENSE file.
Please read the license carefully.

This package is in plf because the microcode is not free itself,
it can only be distributed

%prep
%setup -q

%build
dos2unix README.ipw3945-ucode LICENSE.ipw3945-ucode

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/lib/firmware
install -p *.ucode %{buildroot}/lib/firmware/
%if %mdkversion <= 200600
mkdir -p %{buildroot}/lib/hotplug/firmware/
cd %{buildroot}/lib/firmware
for file in *.ucode; do
  ln -s /lib/firmware/$file %{buildroot}/lib/hotplug/firmware/
done
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README.ipw3945-ucode LICENSE.ipw3945-ucode
/lib/firmware/*.ucode
%if %mdkversion <= 200600
/lib/hotplug/firmware/*.ucode
%endif

%changelog
* Sat Jun 10 2006 Michael Reinsch <mr@uue.org> 1.13-1plf
- first package for plf
